/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SICK_PRINT_H
#define SICK_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/sickPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_SICK_SEGS_POSTER_STR ( buf_t buf, struct SICK_SEGS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_CONFIG_POSTER_STR ( buf_t buf, struct SICK_CONFIG_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_SCANCART_POSTER_STR ( buf_t buf, struct SICK_SCANCART_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_SCANPOLAR_POSTER_STR ( buf_t buf, struct SICK_SCANPOLAR_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_STR ( buf_t buf, struct SICK_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_LONELY_PTS ( buf_t buf, struct SICK_LONELY_PTS *x, int nDim, int *dims);
void buf_add_struct_SICK_SEGS ( buf_t buf, struct SICK_SEGS *x, int nDim, int *dims);
void buf_add_struct_SICK_SEG_HEADER ( buf_t buf, struct SICK_SEG_HEADER *x, int nDim, int *dims);
void buf_add_struct_SICK_SEG_PARAMS ( buf_t buf, struct SICK_SEG_PARAMS *x, int nDim, int *dims);
void buf_add_struct_SICK_SEG ( buf_t buf, struct SICK_SEG *x, int nDim, int *dims);
void buf_add_struct_SICK_SAVE_FILE_PARAMS ( buf_t buf, struct SICK_SAVE_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_enum_SICK_SAVE_MODE ( buf_t buf, enum SICK_SAVE_MODE *x, int nDim, int *dims);
void buf_add_struct_sick_parser_control_str ( buf_t buf, struct sick_parser_control_str *x, int nDim, int *dims);
void buf_add_struct_SICK_CART_MEASURES_STR ( buf_t buf, struct SICK_CART_MEASURES_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_POLAR_MEASURES_STR ( buf_t buf, struct SICK_POLAR_MEASURES_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_MEASURES_STR ( buf_t buf, struct SICK_MEASURES_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_CART_MEASURES ( buf_t buf, struct SICK_CART_MEASURES *x, int nDim, int *dims);
void buf_add_struct_SICK_POINT ( buf_t buf, struct SICK_POINT *x, int nDim, int *dims);
void buf_add_struct_SICK_MEASURES_HEADER_STR ( buf_t buf, struct SICK_MEASURES_HEADER_STR *x, int nDim, int *dims);
void buf_add_struct_SICK_SPEED_STR ( buf_t buf, struct SICK_SPEED_STR *x, int nDim, int *dims);
void buf_add_struct_sick_user_str ( buf_t buf, struct sick_user_str *x, int nDim, int *dims);
void buf_add_struct_sick_config_str ( buf_t buf, struct sick_config_str *x, int nDim, int *dims);
void buf_add_enum_sick_baud_rate ( buf_t buf, enum sick_baud_rate *x, int nDim, int *dims);
void buf_add_enum_sick_measure_length_resolution ( buf_t buf, enum sick_measure_length_resolution *x, int nDim, int *dims);
void buf_add_enum_sick_scanning_angle_resolution ( buf_t buf, enum sick_scanning_angle_resolution *x, int nDim, int *dims);
void buf_add_enum_sick_scanning_angle_range ( buf_t buf, enum sick_scanning_angle_range *x, int nDim, int *dims);
void buf_add_enum_sick_scan_modes ( buf_t buf, enum sick_scan_modes *x, int nDim, int *dims);
void buf_add_enum_sick_control_modes ( buf_t buf, enum sick_control_modes *x, int nDim, int *dims);
void buf_add_enum_sick_scan_task_state ( buf_t buf, enum sick_scan_task_state *x, int nDim, int *dims);
void buf_add_struct_SICK_INIT_PARAMS ( buf_t buf, struct SICK_INIT_PARAMS *x, int nDim, int *dims);
void buf_add_struct_SICK_EXPORT_DATA ( buf_t buf, struct SICK_EXPORT_DATA *x, int nDim, int *dims);
void buf_add_enum_SICK_ACQUISITION_WAY ( buf_t buf, enum SICK_ACQUISITION_WAY *x, int nDim, int *dims);
void buf_add_enum_SICK_FRAME ( buf_t buf, enum SICK_FRAME *x, int nDim, int *dims);
void buf_add_struct_SICK_STRING ( buf_t buf, struct SICK_STRING *x, int nDim, int *dims);
void buf_add_enum_SICK_BOOL ( buf_t buf, enum SICK_BOOL *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_SICK_BOOL ( buf_t buf, SICK_BOOL *x, int nDim, int *dims);
void buf_add_SICK_STRING ( buf_t buf, SICK_STRING *x, int nDim, int *dims);
void buf_add_SICK_FRAME ( buf_t buf, SICK_FRAME *x, int nDim, int *dims);
void buf_add_SICK_ACQUISITION_WAY ( buf_t buf, SICK_ACQUISITION_WAY *x, int nDim, int *dims);
void buf_add_SICK_EXPORT_DATA ( buf_t buf, SICK_EXPORT_DATA *x, int nDim, int *dims);
void buf_add_SICK_INIT_PARAMS ( buf_t buf, SICK_INIT_PARAMS *x, int nDim, int *dims);
void buf_add_SICK_SCAN_TASK_STATE ( buf_t buf, SICK_SCAN_TASK_STATE *x, int nDim, int *dims);
void buf_add_SICK_CONTROL_MODES ( buf_t buf, SICK_CONTROL_MODES *x, int nDim, int *dims);
void buf_add_SICK_SCAN_MODES ( buf_t buf, SICK_SCAN_MODES *x, int nDim, int *dims);
void buf_add_SICK_SCANNING_ANGLE_RANGE ( buf_t buf, SICK_SCANNING_ANGLE_RANGE *x, int nDim, int *dims);
void buf_add_SICK_SCANNING_ANGLE_RESOLUTION ( buf_t buf, SICK_SCANNING_ANGLE_RESOLUTION *x, int nDim, int *dims);
void buf_add_SICK_MEASURE_LENGTH_RESOLUTION ( buf_t buf, SICK_MEASURE_LENGTH_RESOLUTION *x, int nDim, int *dims);
void buf_add_SICK_BAUD_RATE ( buf_t buf, SICK_BAUD_RATE *x, int nDim, int *dims);
void buf_add_SICK_CONFIG_STR ( buf_t buf, SICK_CONFIG_STR *x, int nDim, int *dims);
void buf_add_SICK_USER_STR ( buf_t buf, SICK_USER_STR *x, int nDim, int *dims);
void buf_add_SICK_SPEED_STR ( buf_t buf, SICK_SPEED_STR *x, int nDim, int *dims);
void buf_add_SICK_MEASURES_HEADER_STR ( buf_t buf, SICK_MEASURES_HEADER_STR *x, int nDim, int *dims);
void buf_add_SICK_POINT ( buf_t buf, SICK_POINT *x, int nDim, int *dims);
void buf_add_SICK_CART_MEASURES ( buf_t buf, SICK_CART_MEASURES *x, int nDim, int *dims);
void buf_add_SICK_MEASURES_STR ( buf_t buf, SICK_MEASURES_STR *x, int nDim, int *dims);
void buf_add_SICK_POLAR_MEASURES_STR ( buf_t buf, SICK_POLAR_MEASURES_STR *x, int nDim, int *dims);
void buf_add_SICK_CART_MEASURES_STR ( buf_t buf, SICK_CART_MEASURES_STR *x, int nDim, int *dims);
void buf_add_SICK_PARSER_CONTROL_STR ( buf_t buf, SICK_PARSER_CONTROL_STR *x, int nDim, int *dims);
void buf_add_SICK_SAVE_MODE ( buf_t buf, SICK_SAVE_MODE *x, int nDim, int *dims);
void buf_add_SICK_SAVE_FILE_PARAMS ( buf_t buf, SICK_SAVE_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_SICK_SEG ( buf_t buf, SICK_SEG *x, int nDim, int *dims);
void buf_add_SICK_SEG_PARAMS ( buf_t buf, SICK_SEG_PARAMS *x, int nDim, int *dims);
void buf_add_SICK_SEG_HEADER ( buf_t buf, SICK_SEG_HEADER *x, int nDim, int *dims);
void buf_add_SICK_SEGS ( buf_t buf, SICK_SEGS *x, int nDim, int *dims);
void buf_add_SICK_LONELY_PTS ( buf_t buf, SICK_LONELY_PTS *x, int nDim, int *dims);
void buf_add_SICK_STR ( buf_t buf, SICK_STR *x, int nDim, int *dims);
void buf_add_SICK_SCANPOLAR_POSTER_STR ( buf_t buf, SICK_SCANPOLAR_POSTER_STR *x, int nDim, int *dims);
void buf_add_SICK_SCANCART_POSTER_STR ( buf_t buf, SICK_SCANCART_POSTER_STR *x, int nDim, int *dims);
void buf_add_SICK_CONFIG_POSTER_STR ( buf_t buf, SICK_CONFIG_POSTER_STR *x, int nDim, int *dims);
void buf_add_SICK_SEGS_POSTER_STR ( buf_t buf, SICK_SEGS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* SICK_TCLSERV_CLIENT_ENCODE_H */

