#ifndef SICK_CONVERT_SEGS_H
#define SICK_CONVERT_SEGS_H

#include "sickStruct.h"
#ifndef SICK2
#include "server/sickPosterLibStruct.h"
#endif

BOOL sickConvertSICK_SEGSFrame (SICK_SEGS_POSTER_STR *sick_segs_in,
				SICK_SEGS_POSTER_STR *sick_segs_out,
				SICK_FRAME newFrame);

BOOL sickConvertSICK_CART_PTSFrame (SICK_SCANCART_POSTER_STR *sick_cart_pts_in,
				    SICK_SCANCART_POSTER_STR *sick_cart_pts_out,
				    SICK_FRAME newFrame);

BOOL sickConvertSegsFrame (SICK_SEG_HEADER *Sick_seg_header,
			   SICK_FRAME newFrame,
			   SICK_SEG *segsIn,
			   SICK_SEG *segsOut);

BOOL sickConvertPtsFrame (SICK_FRAME oldFrame,
			  SICK_FRAME newFrame,
			  POM_SENSOR_POS *pos,
			  int nbPts,
			  SICK_POINT *ptsIn,
			  SICK_POINT *ptsOut);

BOOL sickGetT3DConvert(SICK_FRAME oldFrame,
		       SICK_FRAME newFrame,
		       POM_SENSOR_POS *oldPos,
		       POM_EULER_V *t3d);

void sickConvertSegs(POM_EULER_V *t3d, int nbSegs, 
		     SICK_SEG *segsIn, SICK_SEG *segsOut);

void sickConvertPts(POM_EULER_V *t3d, int nbPts, 
		    SICK_POINT *ptsIn, SICK_POINT *ptsOut);

void sickPolarToCart1 (int nbPts, POM_SENSOR_POS *pos, SICK_FRAME cartFrame,
		       double *d, double *theta, SICK_POINT *sick_cp);

void sickPolarToCart2 (int nbPts, POM_SENSOR_POS *pos, SICK_FRAME cartFrame,
		       double *d, double *thetaStart, double *dTheta, 
		       SICK_POINT *sick_cp);
#endif
